/**
  *  \file defs.h
  */
#ifndef DEFS_H_INCLUDED
#define DEFS_H_INCLUDED

#include <assert.h>

#define BUFFER_SIZE 102400
#define REFILL_THRESHOLD 1024

#ifdef __GNUC__
#  ifdef __STRICT_ANSI__
#    define inline __inline__
__extension__ typedef long long bytecount_t;
#  else
typedef long long bytecount_t;
#  endif
#  define BYTECOUNT_FMT "%lld"
#else
#  define inline
typedef long bytecount_t;
#define BYTECOUNT_FMT "%ld"
#endif

#define ARG_USED(x) ((void)&x)

#endif
