/**
  *  \file util.h
  */
#ifndef UTIL_H_INCLUDED
#define UTIL_H_INCLUDED

#include <stddef.h>
#include <stdio.h>

void*  xmalloc(size_t size);
void   die(const char* fmt, ...);
size_t full_read(FILE* fp, char* data, size_t size);
void   set_current_file(const char* fn);
char*  dup(const char* fn);
void   set(char** old, char* new_);

#endif
