/**
  *  \file output.h
  */
#ifndef OUTPUT_H_INCLUDED
#define OUTPUT_H_INCLUDED

#include "recog.h"
#include "ringbuf.h"

void output_open(M* m);
void output_close(M* m);
void output_write(M* m, char* data, size_t len);
void output_copy(M* m, BUF* b, length_t len);

#endif
